#!/usr/bin/env node
import { Command } from 'commander';
import serveAdmin from './actions/admin.server.js';
import serveMain from './actions/main.server.js';
import { APP_PATH } from 'zeroant-factory/config.factory';
import path from 'path';
import { readFileSync } from 'fs';
import commentjson from 'comment-json';
const program = new Command();
const createAction = (action) => async (...args) => {
    const { zeroant } = await import('zeroant-loader/index');
    const tsconfigString = readFileSync(APP_PATH + '/tsconfig.json')?.toString();
    const tsconfig = commentjson.parse(tsconfigString ?? '{}');
    const { registry } = await import(path.join(APP_PATH, tsconfig?.compilerOptions?.outDir ?? '', '/registry.js'));
    zeroant.bootstrap(registry);
    return await action(...args);
};
program.name('zeroant').description('CLI to some ZeroAnt utilities').version('0.1.0');
program.command('admin').argument('[action]', 'Start admin').action(createAction(serveAdmin));
program.command('serve').argument('[action]', 'Serve All').action(createAction(serveMain));
program.parse();
//# sourceMappingURL=index.js.map